Ubuntu

qtbase should build depend on libxkbcommon-dev

Reported by Albert Astals Cid on 2013-05-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qtbase-opensource-src (Ubuntu)
Undecided
Timo Jyrinki

Bug Description

qtbase should depend on libxkbcommon-dev otherwise dead keys (what i need in spanish to write á) does not work.

You can see that configure checks for xkbcommon at

./configure:4923:if [ -n "$PKG_CONFIG" ] && $PKG_CONFIG --exists xkbcommon 2>/dev/null; then

Changed in qtbase-opensource-src (Ubuntu):
assignee: nobody → Timo Jyrinki (timo-jyrinki)
Changed in qtbase-opensource-src (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (4.3 KiB)

This bug was fixed in the package qtbase-opensource-src - 5.0.2+dfsg1-4ubuntu1

---------------
qtbase-opensource-src (5.0.2+dfsg1-4ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * debian/patches/0001-Implement-XEmbed-protocol.patch
    - Backport patch that adds xembed support, needed for Ubuntu Online
      Accounts in gnome-control-center

  [ Michael Terry ]
  * debian/control, debian/rules:
    - Enable gles support even when not on arm. We still use
      full GL on non-arm platforms, but we still offer the EGL API.

  [ Timo Jyrinki ]
  * New upstream version
  * Add patches contributed to upstream Gerrit:
    - debian/patches/add_since_52_to_new_QColor_features.patch (LP: #1174589)
    - debian/patches/inputmethod_fix_focusout.patch (LP: #1174547)
    - debian/patches/make_QColor_understand_AARRGGBB.patch (LP: #1174589)
  * Cherry-pick a fix from upstream to build with GCC 4.8
    - debian/patches/rename_qabs_function_for_timeval.patch
  * Build-depend on libxkbcommon-dev (LP: #1177496)
  * Update XEmbed patch from upstream Gerrit
  * Make sqlite the first recommended SQL plugin, remove ibase

  [ Dmitry Shachnev ]
  * Re-sync with current Debian packaging Git.
  * Add debian/patches/disable_overlay_scrollbars.diff, forward-ported
    from qt4-x11 packaging (LP: #1170384).

  [ Scott Kitterman ]
  * Revert debian/patches/enable_appmenu_support.diff for saucy as agreed
    since appmenu for saucy will use qpa

  [ Timo Jyrinki ]
  * Re-syncs until Debian experimental 5.0.2+dfsg1-4, remaining changes:
    - Remove firebird dependency and ibase
    - Maintainer fields and Vcs-Bzr
    - Provides: qt-default to qt5-default
    - Build depend on libxkbcommon-dev
    - 7 upstream and Ubuntu patches mentioned above
  * As requested, temporarily re-add the appmenu support until qpa
    plugin support is ready. Easily revertable.

qtbase-opensource-src (5.0.2+dfsg1-4) experimental; urgency=low

  [ Pino Toscano ]
  * Update lintian overrides.
  * Drop check of old hppa kernel bug, which has been fixed many years ago.
  * Update Vcs-Browser and Vcs-Git headers.

  [ Timo Jyrinki ]
  * libqt5sql5-sqlite listed as first in recommends, being the lightest.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add qt5-triplet.conf and arch-qualified qt5.conf. See qtchooser's
    README.Debian for more details.
  * Fix typo in qtbase5-private-dev's Breaks+Replaces.
  * Changed qt5-default to arch: all. Should have been like this from start, as
    it contains arch-qualified paths in it.
  * Update symbols files.

qtbase-opensource-src (5.0.2+dfsg1-3) experimental; urgency=low

  [ Pino Toscano ]
  * debian/control: remove extra ${misc:Pre-Depends} from qt5-qmake.
  * debian/control: remove extra qtbase5-dev suggest from libqt5sql5,
    libqt5sql5-mysql, libqt5sql5-odbc, libqt5sql5-psql, libqt5sql5-sqlite,
    libqt5sql5-tds.
  * debian/control: make libqt5printsupport5 recommend libcups2 (which is
    dlopen'ed).
  * Move the private qsqlresult_p.h from qtbase5-dev to qtbase5-private-dev,
    adding proper breaks/replaces in the latter.
  * Use LD_LIBRARY_PATH on any GNU system; patch deppath_gnu.diff.
  * debian/control: remove extra ${shlibs:Depends} fr...

Read more...

Changed in qtbase-opensource-src (Ubuntu):
status: Fix Committed → Fix Released
Dmitry Shachnev (mitya57) wrote :

Timo: any reason why that hasn't been committed in Debian packaging Git?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers